Bug 864769 - Changing <swap> from "standard partition" to "RAID ..." switched the fs type to 'ext4'
Changing <swap> from "standard partition" to "RAID ..." switched the fs type ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 00:52 EDT by digimer
Modified: 2012-11-22 23:17 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 23:17:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description digimer 2012-10-10 00:52:02 EDT
Description of problem:

When manually partitioning F18 TC3's drives, I enter a new partition "swap". When I try to change it to be RAID, it switches the filesystem from "swap" to "ext4". 

Version-Release number of selected component (if applicable):

Fedora 18 x86_64 TC3

How reproducible:

100%

Steps to Reproduce:
1. Create a swap partition/
2. Try to change it to raid.
3.
  
Actual results:

switches FS

Expected results:

FS should stay 'swap'.

Additional info:
Comment 1 Chris Lumens 2012-10-11 15:42:52 EDT
One of the many storage patches dlehman just pushed fixed this up, and will be in the next build of anaconda.
Comment 2 digimer 2012-10-11 15:43:52 EDT
Wonderful, thanks for letting me know.
Comment 3 Adam Williamson 2012-11-22 23:17:28 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(tested with RC1: appears to be 'fixed', with the fix being that you cannot have RAIDed swap).

Note You need to log in before you can comment on or make changes to this bug.